### Method

# Clutter Actor set_child_at_index

#### Declaration [src]

    void
    clutter_actor_set_child_at_index (
      ClutterActor* self,
      ClutterActor* child,
      gint index_
    )

#### Description [src]

Changes the index of `child` in the list of children of `self`.

This function is logically equivalent to removing `child` and calling clutter_actor_insert_child_at_index(), but it will not emit signals or change state on `child`.

#### Parameters

`child`

  Type: `ClutterActor`

  A `ClutterActor` child of `self`.

  The data is owned by the caller of the method.

`index_`

  Type: `gint`

  The new index for `child`.